<!DOCTYPE>
<html>
<head>
<body>
    <input type="button" onclick="f1()" value="button"><!--pop up window will open after click-->
    <br><br>
    <button onclick="f2()">opener</button>
    <br><br>
    <button onclick="f3()">Close Window</button>
    <p id="demo"> This content will change on clicking the button</p>
    <button type="button" onclick='document.getElementById("demo").innerHTML = "New content!"'>Click to render new content</button>
    <br><br>
    
    <div id="elem">
        <div id="elem-content">Element</div>
    </div>
    <br>

    <ul>
        <li>The</li>
        <li>test</li>
      </ul>
      <ul>
        <li>has</li>
        <li>passed</li>
      </ul>
<script>
    //pop-up will block
    //window.open('https://javascript.info');
    function f1()
    {
        //window.open('https://javascript.info');
        //setTimeout(() => window.open('https://javascript.info'), 3000);
        var p = "scrollbars=yes,resizable=no,statzus=no,location=no,toolbar=no,menubar=no,width=0,height=0,left=-1000,top=-1000";
        open('https://javascript.info', 'window1', p);

    }
    var win;
    function f2()
    {
        win = window.open("", "myWindow", "width=500,height=500,left=100,top=100");
        win.document.write("myWindow");
        win.opener.document.write(" source window");
    }
    function f3() 
    {
    win.close();
    }

    // get the element by id
    //let elem = document.getElementById('elem');

    // make its background red
    elem.style.background = 'pink';


    let elements = document.querySelectorAll('ul > li:first-child');

    for (let elem of elements)
    {
        console.log(elem.innerHTML); // "test", "passed"
    }

</script>
</body>
</head>
</html>